package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class ThemeDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "是否关注")
    private boolean follow;

    @ApiModelProperty(value = "认证")
    private String authLabel;

    @ApiModelProperty(value = "发表时间")
    private String upToNowTime;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;

    @ApiModelProperty(value = "转发量")
    private Long forwardAomunt;

    @ApiModelProperty(value = "评论量")
    private Long commentAmount;

    @ApiModelProperty(value = "点赞量")
    private Long likeAmount;

    @ApiModelProperty("附件")
    private List<Object> attachment;

    private String createBy;

    private LocalDateTime createTime;

    private String updateBy;

    private LocalDateTime updateTime;

    private Integer deleteTag;

    private Object attachmentInfo;
}
